Subject: bug#19822: url-retrieve: allow to fail when no document is associated with the URI

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Oct 2019 17:51:49 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Tue, 1 Oct 2019 15:44:15 +0200
> Cc: Lars Ingebrigtsen <[email-masked]>, [email-masked], Ivan Shmakov <[email-masked]>
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > > I don't feel very strongly about this, but I'm curious: Why don't you
> > > want to obsolete at least some of them?  I think they add user
> > > confusion and are just not very helpful.
> >
> > How would obsoleting them help avoid that confusion?
> 
> I think in at least two ways:
> 
> 1. Obsoleting is a fairly strong sign that this is code that it's
> probably better to avoid.
> 
> 2. AFAIU, the point of obsoleting a file is to eventually remove it.
> If it doesn't exist, it can't confuse anyone.

I understand how removing will end the confusion.  What I don't quite
understand is how obsoleting will help avoiding the confusion.  I
think the obsolete messages just add to the confusion, not take away.

Lars suggested to let this stuff become fallback, which means users
will see the confusing stuff much less frequently.  That made sense to
me.